<a href="{% url 'sqlitetreestructure:index' %}">< Back to index</a>
<h1>Insert a new Node</h1>

{% if node %}<h2 style="color:green";>Node inserted with parent id:{{ node.parent_id }}, root id:{{ node.root_id }}, height:{{ node.height }}.</h2>{% endif %}
{% if message %}<h2 style="color:green";>{{ message }}</h2>{% endif %}
{% if error_message %}<h2 style="color:red";>{{ error_message }}</h2>{% endif %}


<form action="{% url 'sqlitetreestructure:insert' %}" method="post">
{% csrf_token %}
  Parent Id:<br>
  <input type="text" name="parent_id" value="">
  <br>
  <input type="submit" value="Submit">
</form>

<ul>
    {% for node in nodes %}
        <li style="margin-left:{{ node.height }}em"><span style="color:blue";>{{ node.pos }})</span> <span style="color:darkcyan";>Id:{{ node.id }}</span> -- <span style="color:chocolate";>Parent:{{ node.parent_id }}</span> -- <span style="color:purple";>Height:{{ node.height }}</span></li>
    {% empty %}
        <li>Sorry, no nodes to display.</li>
    {% endfor %}
 </ul>



